# If you want only core modules to be built, 
# give rpmbuild option '--with coreonly'

%define with_coreonly %{?_with_coreonly:1}%{!?_with_coreonly:0}
%define without_coreonly %{!?_with_coreonly:1}%{?_with_coreonly:0}

# If you want only modules to be built, 
# give rpmbuild option '--with modulesonly'

%define with_modulesonly %{?_with_modulesonly:1}%{!?_with_modulesonly:0}
%define without_modulesonly %{!?_with_modulesonly:1}%{?_with_modulesonly:0}

# If you don't want the hibernate module to be built, 
# give rpmbuild option '--without hibernate'

%define with_hibernate %{!?_without_hibernate:1}%{?_without_hibernate:0}
%define without_hibernate %{?_without_hibernate:1}%{!?_without_hibernate:0}


%define section  devel
%define name     jboss4
%define name   jboss4
%define jbossdir %{_localstatedir}/lib/%{name}
%define logdir   %{_localstatedir}/log
%define tmpdir   %{_localstatedir}/cache
%define tc5dir   %{_localstatedir}/lib/tomcat5
%define tc55dir   %{_localstatedir}/lib/tomcat55


Summary:        JBoss J2EE/EJB modules (most)
Name:           %{name}
Version:        4.0.2
Release:        4jpp
Epoch:          0
License:        LGPL
Group:          Internet/WWW/Servers
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.jboss.org/
Source0:        http://download.sourceforge.net/jboss/jboss-%{version}-src.tar.gz
Source1:        %{name}.init
# Not in use, but let's keep this around.
Source2:        %{name}.logrotate
Source3:        %{name}.conf
Source4:        %{name}.catalog
Source5:        %{name}-all.properties
Source6:        %{name}-default.properties
Source7:        %{name}-minimal.properties
#
Patch0:         %{name}-%{version}-build_xml.patch
Patch1:         %{name}-%{version}-jpp.patch
Patch2:         %{name}-%{version}-Notification_xsd.patch
Patch3:         %{name}-%{version}-jmx-remoting-build_xml.patch
#Patch4:         %{name}-testsuite-build_xml.patch
Patch5:		jboss4-4.0.2-ManageSnapshotServlet.patch
Patch6:		jboss4-4.0.2-GraphMBeanAttributeAction.patch
Patch7:		jboss4-4.0.2-XercesXsMarshaller.patch
Patch8:		jboss4-4.0.2-JBossXBSchemaValidator.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
# general requires
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-nodeps
BuildRequires:  ant-javamail
BuildRequires:  ant-junit
BuildRequires:  ant-trax
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
BuildRequires:  batik
BuildRequires:  bsf
BuildRequires:  fop
BuildRequires:  jai
BuildRequires:  jboss4-buildmagic-tasks
BuildRequires:  junit
BuildRequires:  saxon
BuildRequires:  xalan-j2
BuildRequires:  xdoclet
BuildRequires:  xerces-j2
BuildRequires:  xjavadoc
BuildRequires:  xml-commons-apis
BuildRequires:  xml-commons-resolver
# core requires
BuildRequires:  bcel
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  dtdparser
BuildRequires:  gnu.getopt
BuildRequires:  gnu.regexp
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  jakarta-commons-el
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-modeler
BuildRequires:  jakarta-slide-webdavclient
BuildRequires:  jaxen
BuildRequires:  jmx
BuildRequires:  log4j
BuildRequires:  regexp
BuildRequires:  ws-jaxme
%if %{without_coreonly}
# noncore requires
BuildRequires:  axis
BuildRequires:  berkeleydb
BuildRequires:  bsh
BuildRequires:  gjt-jpl-pattern
BuildRequires:  gjt-jpl-util
BuildRequires:  gnu.trove
BuildRequires:  hsqldb
BuildRequires:  jacorb-jboss4
BuildRequires:  jaf
BuildRequires:  jakarta-commons-discovery
BuildRequires:  javamail
BuildRequires:  javamail-monolithic
BuildRequires:  jboss-aop-framework
%if %{without_modulesonly}
BuildRequires:  jboss-aop-library
%endif
BuildRequires:  jcommon
BuildRequires:  jfreechart >= 0:0.9.21
BuildRequires:  jgroups
BuildRequires:  jmf
BuildRequires:  joesnmp
BuildRequires:  juddi
BuildRequires:  snmptrapappender
BuildRequires:  tomcat55
BuildRequires:  tomcat55-admin-webapps
BuildRequires:  tomcat55-jasper
BuildRequires:  tomcat55-servlet-2.4-api
BuildRequires:  velocity
BuildRequires:  wsdl4j
BuildRequires:  ws-scout
%endif
%if %{with_hibernate}
# hibernate3 requires
BuildRequires:  hibernate3 >= 0:3.0.5
BuildRequires:  antlr
BuildRequires:  asm
BuildRequires:  cglib
BuildRequires:  odmg
%endif



%description
JBoss 4.0 is our J2EE 1.4 certified Enterprise Platform. 
In addition to being a standard compliant safe choice, 
JBoss 4 can take you beyond J2EE into the stratosphere 
of application development. JBoss 4 can be applied as a 
lightweight application framework where you can just bolt 
on any components or feature you want for your particular 
application. We are finalizing the JMX microkernel 
architecture introduced in the JBoss 3.x series. This 
microkernel will be our base lightweight component model 
which provides us with dynamic, configurable, pluggable 
deployment, component dependencies, and component Mgmt 
and persistence. 
JBoss 4.0 also provides an Aspect Oriented Framework that 
will be orthogonal to the JMX microkernel. With AOP 
you'll be able to take advantage J2EE-like functionality 
for plain old Java objects. Imagine taking any Java class 
and defining Transaction attributes like you do for an 
EJB. Or taking any Java class and defining a persistence 
mapping for it, or a distributed transactional cache. All 
transparent, all simple to configure. 
This is JBoss 4.0's goal. 
J2EE/EJB is still our bread and butter. Enhancements are 
underway for JMS, CMP, JCA, and JTA. These specs will be 
turned around and implemented in terms of our JMX 
microkernel and AOP framework making the job of ISVs and 
Tool Vendors that want to extend JBoss's functionality 
that much easier.

%if %{without_coreonly}
%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  java-javadoc

%description    javadoc
%{summary}.

%package        manual
Summary:        Documents for %{name}
Group:          Development/Documentation
#Requires:       jboss4 = 0:%{version}-%{release}

%description    manual
%{summary}.

%package        -n jboss4-all
Summary:        All configuration for %{name}
Group:          Internet/WWW/Servers
Requires:       ant
Requires:       asm
Requires:       avalon-framework
Requires:       bcel
Requires:       bsh
Requires:       cglib
Requires:       gjt-jpl-pattern
Requires:       gjt-jpl-util
Requires:       gnu.trove
Requires:       hibernate3
Requires:       hsqldb
Requires:       jacorb-jboss4
Requires:       jaf
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-el
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-modeler
Requires:       javamail
Requires:       javassist
Requires:       jboss4 = 0:%{version}-%{release}
Requires:       jboss-aop-framework
Requires:       jboss-aop-library
Requires:       jboss4-cache = 0:%{version}-%{release}
Requires:       jboss4-cluster = 0:%{version}-%{release}
Requires:       jboss4-connector = 0:%{version}-%{release}
Requires:       jboss4-console = 0:%{version}-%{release}
Requires:       jboss4-hibernate = 0:%{version}-%{release}
Requires:       jboss4-iiop = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-management = 0:%{version}-%{release}
Requires:       jboss4-messaging = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-remoting = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}
Requires:       jboss4-varia = 0:%{version}-%{release}
Requires:       jboss4-webservice = 0:%{version}-%{release}
Requires:       jcommon
Requires:       jfreechart >= 0:0.9.21
Requires:       jgroups
Requires:       log4j
Requires:       odmg
Requires:       regexp
Requires:       tomcat55
Requires:       tomcat55-admin-webapps
Requires:       tomcat55-jasper
Requires:       tomcat55-servlet-2.4-api
Requires:       wsdl4j
Requires:       xml-security

%description    -n jboss4-all
%{summary}.

%package        -n jboss4-default
Summary:        Default configuration for %{name}
Group:          Internet/WWW/Servers
Requires:       ant
Requires:       asm
Requires:       bcel
Requires:       bsh
Requires:       cglib
Requires:       gjt-jpl-pattern
Requires:       gjt-jpl-util
Requires:       gnu.trove
Requires:       hibernate3
Requires:       hsqldb
Requires:       jaf
Requires:       jakarta-commons-beanutils
Requires:       jakarta-commons-collections
Requires:       jakarta-commons-digester
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-el
Requires:       jakarta-commons-logging
Requires:       jakarta-commons-modeler
Requires:       javamail
Requires:       javassist
Requires:       jboss4 = 0:%{version}-%{release}
Requires:       jboss-aop-framework 
Requires:       jboss-aop-library
Requires:       jboss4-connector = 0:%{version}-%{release}
Requires:       jboss4-console = 0:%{version}-%{release}
Requires:       jboss4-hibernate = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-management = 0:%{version}-%{release}
Requires:       jboss4-messaging = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}
Requires:       jboss4-varia = 0:%{version}-%{release}
Requires:       jboss4-webservice = 0:%{version}-%{release}
Requires:       jcommon
Requires:       jfreechart >= 0:0.9.21
Requires:       log4j
Requires:       odmg
Requires:       regexp
Requires:       tomcat55
Requires:       tomcat55-admin-webapps
Requires:       tomcat55-jasper
Requires:       tomcat55-servlet-2.4-api
Requires:       wsdl4j

%description    -n jboss4-default
%{summary}.

%package        -n jboss4-minimal
Summary:        Minimal configuration for %{name}
Group:          Internet/WWW/Servers
Requires:       jboss4 = 0:%{version}-%{release}
Requires:       jboss4-management = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       log4j

%description    -n jboss4-minimal
%{summary}.

%package        -n jboss4-client
Summary:        Client libraries for %{name}
Group:          Internet/WWW/Servers
Requires:       avalon-framework
Requires:       avalon-logkit
Requires:       concurrent
Requires:       gnu.getopt
Requires:       jacorb-jboss4
Requires:       jaf
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-logging
Requires:       javamail
Requires:       jboss4 = 0:%{version}-%{release}
Requires:       jboss4-cluster = 0:%{version}-%{release}
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-connector = 0:%{version}-%{release}
Requires:       jboss4-deployment = 0:%{version}-%{release}
Requires:       jboss4-iiop = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-management = 0:%{version}-%{release}
Requires:       jboss4-messaging = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}
Requires:       jboss4-varia = 0:%{version}-%{release}
Requires:       jboss4-webservice = 0:%{version}-%{release}
Requires:       log4j
Requires:       wsdl4j

%description    -n jboss4-client
%{summary}.

%package        -n jboss4-cache
Summary:        Cache Module for %{name}
Group:          Development/Libraries
Requires:       berkeleydb
Requires:       concurrent
Requires:       jboss-aop-framework 
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-remoting = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jgroups
Requires:       junit
Requires:       xml-commons-apis

%description    -n jboss4-cache
%{summary}.

%package        -n jboss4-cluster
Summary:        Cluster Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jgroups
Requires:       xml-commons-apis

%description    -n jboss4-cluster
%{summary}.
%endif

%package        -n jboss4-common
Summary:        Common Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       dom4j
Requires:       dtdparser
Requires:       gnu.regexp
Requires:       jakarta-commons-httpclient
Requires:       jakarta-slide-webdavclient
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       ws-jaxme
Requires:       xerces-j2
Requires:       xml-commons-apis

%description    -n jboss4-common
%{summary}.

%if %{without_coreonly}
%package        -n jboss4-connector
Summary:        Connector Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       javamail
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-connector
%{summary}.

%package        -n jboss4-console
Summary:        Console Module for %{name}
Group:          Development/Libraries
Requires:       bsh
Requires:       concurrent
Requires:       dom4j
Requires:       gnu.getopt
Requires:       gnu.regexp
Requires:       gnu.trove
Requires:       jakarta-commons-httpclient
Requires:       jboss-aop-framework 
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-management = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-varia = 0:%{version}-%{release}
Requires:       jfreechart >= 0:0.9.21
Requires:       tomcat55-servlet-2.4-api
Requires:       wengsoftsnmp
Requires:       xerces-j2
Requires:       xml-commons-apis

%description    -n jboss4-console
%{summary}.

%package        -n jboss4-deployment
Summary:        Deployment Module for %{name}
Group:          Development/Libraries
Requires:       dom4j
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}

%description    -n jboss4-deployment
%{summary}.

%package        -n jboss4-hibernate
Summary:        Hibernate Module for %{name}
Group:          Development/Libraries
Requires:       asm
Requires:       cglib
Requires:       hibernate3
Requires:       odmg
Requires:       jboss4-cache = 0:%{version}-%{release}
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}

%description    -n jboss4-hibernate
%{summary}.

%package        -n jboss4-iiop
Summary:        IIOP Module for %{name}
Group:          Development/Libraries
Requires:       avalon-framework
Requires:       jacorb-jboss4
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}

%description    -n jboss4-iiop
%{summary}.

%package        -n jboss4-j2ee
Summary:        J2EE Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       dom4j
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       tomcat55-servlet-2.4-api

%description    -n jboss4-j2ee
%{summary}.

%package        -n jboss4-jaxrpc
Summary:        JAXRPC Module for %{name}
Group:          Development/Libraries
Requires:       jaf
Requires:       jakarta-commons-discovery
Requires:       jakarta-commons-logging
Requires:       javamail
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       tomcat55-servlet-2.4-api
Requires:       wsdl4j
Requires:       xml-commons-apis

%description    -n jboss4-jaxrpc
%{summary}.

%package        -n jboss4-jboss.net
Summary:        Net Module for %{name}
Group:          Development/Libraries
Requires:       dom4j
Requires:       jaf
Requires:       jakarta-commons-discovery
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       tomcat55-servlet-2.4-api
Requires:       wsdl4j
Requires:       xdoclet
Requires:       xml-commons-apis

%description    -n jboss4-jboss.net
%{summary}.

%package        -n jboss4-jms
Summary:        JMS Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss-aop-framework 
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-remoting = 0:%{version}-%{release}
Requires:       jgroups

%description    -n jboss4-jms
%{summary}.
%endif

%package        -n jboss4-jmx
Summary:        JMX Module for %{name}
Group:          Development/Libraries
Requires:       bcel
Requires:       concurrent
Requires:       dom4j
Requires:       gnu.regexp
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-jmx
%{summary}.

%if %{without_coreonly}
%package        -n jboss4-jmx-remoting
Summary:        JMX Remoting Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}

%description    -n jboss4-jmx-remoting
%{summary}.

%package        -n jboss4-management
Summary:        Management Module for %{name}
Group:          Development/Libraries
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-cluster = 0:%{version}-%{release}
Requires:       jboss4-connector = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-management
%{summary}.

%package        -n jboss4-media
Summary:        Media Module for %{name}
Group:          Development/Libraries
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-media
%{summary}.

%package        -n jboss4-messaging
Summary:        Messaging Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       gnu.regexp
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-messaging
%{summary}.
%endif

%package        -n jboss4-naming
Summary:        Naming Module for %{name}
Group:          Development/Libraries
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}

%description    -n jboss4-naming
%{summary}.

%if %{without_coreonly}
%package        -n jboss4-remoting
Summary:        Remoting Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-remoting
%{summary}.

%package        -n jboss4-security
Summary:        Security Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-security
%{summary}.

%package        -n jboss4-server
Summary:        Server Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       gjt-jpl-util
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-naming = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}

%description    -n jboss4-server
%{summary}.
%endif

%package        -n jboss4-system
Summary:        System Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       gnu.getopt
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       xml-commons-apis

%description    -n jboss4-system
%{summary}.

%if %{without_coreonly}
%package        -n jboss4-transaction
Summary:        Transaction Module for %{name}
Group:          Development/Libraries
Requires:       concurrent
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}

%description    -n jboss4-transaction
%{summary}.

%package        -n jboss4-varia
Summary:        Varia Module for %{name}
Group:          Development/Libraries
Requires:       ant
Requires:       bsh
Requires:       concurrent
Requires:       gnu.regexp
Requires:       jaf
Requires:       jakarta-commons-logging
Requires:       javamail
Requires:       jaxm
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-cluster = 0:%{version}-%{release}
Requires:       jboss4-console = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       jboss4-transaction = 0:%{version}-%{release}
Requires:       joesnmp
Requires:       junit
Requires:       tomcat55-servlet-2.4-api
Requires:       velocity
Requires:       xalan-j2
Requires:       xerces-j2
Requires:       xml-commons-apis
Requires:       xmlrpc

%description    -n jboss4-varia
%{summary}.

%package        -n jboss4-webservice
Summary:        Web Service Module for %{name}
Group:          Development/Libraries
Requires:       dom4j
Requires:       jaf
Requires:       jaxm
Requires:       jboss4-common = 0:%{version}-%{release}
Requires:       jboss4-j2ee = 0:%{version}-%{release}
Requires:       jboss4-jaxrpc = 0:%{version}-%{release}
Requires:       jboss4-jmx = 0:%{version}-%{release}
Requires:       jboss4-security = 0:%{version}-%{release}
Requires:       jboss4-server = 0:%{version}-%{release}
Requires:       jboss4-system = 0:%{version}-%{release}
Requires:       tomcat55-servlet-2.4-api
Requires:       wsdl4j
Requires:       xmlbeans
Requires:       xml-commons-apis
Requires:       xmlrpc

%description    -n jboss4-webservice
%{summary}.
%endif


%prep
cat <<EOT

		If you want only core modules to be built, 
		give rpmbuild option '--with coreonly'

		If you want only modules to be built, 
		give rpmbuild option '--with modulesonly'

		If you do not want the hibernate module to be built, 
		give rpmbuild option '--without hibernate'

EOT
%setup -q -n jboss-%{version}-src
for f in $(find . -name "*.jar"); do
	mv $f $f.no
done
# Check current user to be member of group tomcat4
if [ -d %{tc5dir} ]; then
   if [ ! -r %{tc5dir}/server/webapps/manager/manager.xml ]; then
      echo "Build user must be member of the group the tomcat5 user belongs to."
      exit 1
   fi
else
   echo "Tomcat5 is expected to be installed in %{tc5dir}"
   exit 2
fi
# Check current user to be member of group tomcat55
if [ -d %{tc55dir} ]; then
   if [ ! -r %{tc55dir}/server/webapps/manager/manager.xml ]; then
      echo "Build user must be member of the group the tomcat55 user belongs to."
      exit 1
   fi
else
   echo "Tomcat55 is expected to be installed in %{tc55dir}"
   exit 2
fi


%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
#%patch4 -b .sav
%patch5 -b .sav
%patch6 -b .sav
%patch7 -b .sav
%patch8 -b .sav

pushd thirdparty
%if %{without_coreonly}
pushd apache-tomcat50
ln -sf $(build-classpath commons-digester) commons-digester.jar
ln -sf $(build-classpath commons-modeler) commons-modeler.jar
ln -sf %{tc5dir}/server/lib/tomcat-util.jar .
ln -sf %{tc5dir}/server/lib/servlets-default.jar .
ln -sf $(build-classpath regexp) jakarta-regexp-1.3.jar
ln -sf %{tc5dir}/common/lib/naming-resources.jar .
ln -sf %{tc5dir}/server/lib/tomcat-http11.jar .
ln -sf $(build-classpath commons-el) commons-el.jar
ln -sf $(build-classpath jasper5-runtime) jasper-runtime.jar
ln -sf %{tc5dir}/server/webapps/manager/WEB-INF/lib/catalina-manager.jar .
ln -sf $(build-classpath commons-beanutils) commons-beanutils.jar
ln -sf $(build-classpath jasper5-compiler) jasper-compiler.jar
ln -sf $(build-classpath commons-collections) commons-collections.jar
ln -sf %{tc5dir}/server/lib/tomcat-jk2.jar .
ln -sf %{tc5dir}/server/lib/tomcat-coyote.jar .
ln -sf %{tc5dir}/server/lib/servlets-common.jar .
ln -sf %{tc5dir}/server/lib/servlets-webdav.jar .
ln -sf %{tc5dir}/server/lib/servlets-invoker.jar .
ln -sf %{tc5dir}/common/lib/naming-common.jar .
ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf %{tc5dir}/server/lib/catalina.jar .
ln -sf %{tc5dir}/server/lib/catalina-optional.jar .
popd
pushd apache-tomcat55
ln -sf %{tc55dir}/server/lib/catalina.jar .
ln -sf %{tc55dir}/server/webapps/manager/WEB-INF/lib/catalina-manager.jar .
ln -sf %{tc55dir}/server/lib/catalina-optional.jar .
ln -sf $(build-classpath commons-el) commons-el.jar
ln -sf $(build-classpath commons-modeler) commons-modeler.jar
ln -sf $(build-classpath jasper55-compiler) jasper-compiler.jar
ln -sf $(build-classpath jasper55-compiler-jdt) jasper-compiler-jdt.jar
ln -sf $(build-classpath jasper55-runtime) jasper-runtime.jar
ln -sf %{tc55dir}/common/lib/naming-resources.jar .
ln -sf %{tc55dir}/server/lib/servlets-default.jar .
ln -sf %{tc55dir}/server/lib/servlets-invoker.jar .
ln -sf %{tc55dir}/server/lib/servlets-webdav.jar .
ln -sf %{tc55dir}/server/lib/tomcat-ajp.jar .
ln -sf %{tc55dir}/server/lib/tomcat-coyote.jar .
ln -sf %{tc55dir}/server/lib/tomcat-http.jar .
ln -sf %{tc55dir}/server/lib/tomcat-util.jar .
popd
pushd apache-avalon/lib
ln -sf $(build-classpath avalon-framework) avalon-framework.jar
ln -sf $(build-classpath avalon-logkit) logkit.jar
popd
pushd ibm-wsdl4j/lib
ln -sf $(build-classpath wsdl4j) wsdl4j.jar
ln -sf $(build-classpath axis/axis) axis.jar
popd
pushd sleepycat/lib
ln -sf $(build-classpath berkeleydb) je.jar
popd
pushd beanshell-beanshell/lib
ln -sf $(build-classpath bsh) bsh-1.3.0.jar
popd
pushd trove/lib
ln -sf $(build-classpath gnu.trove) trove.jar
popd
pushd hsqldb-hsqldb/lib
ln -sf $(build-classpath hsqldb) hsqldb.jar
popd
pushd jacorb-jacorb/lib
ln -sf $(build-classpath jacorb-jboss4/idl) idl.jar
ln -sf $(build-classpath jacorb-jboss4/jacorb-jboss4) jacorb.jar
popd
pushd sun-jaf/lib
ln -sf $(build-classpath jaf) activation.jar
popd
pushd apache-commons/lib
ln -sf $(build-classpath commons-discovery) commons-discovery.jar
popd
pushd sun-javamail/lib
ln -sf $(build-classpath javamail) mail.jar
ln -sf $(build-classpath javamail/pop3) pop3.jar
ln -sf $(build-classpath javamail/mailapi) mailapi.jar
ln -sf $(build-classpath javamail/imap) imap.jar
ln -sf $(build-classpath javamail/smtp) smtp.jar
popd
pushd jboss-aop/lib/
ln -sf $(build-classpath jboss-aop/jboss-aop) jboss-aop.jar
%if %{without_modulesonly}
ln -sf $(build-classpath jboss-aop/jboss-aspect-library) jboss-aspect-library.jar
%endif
popd
pushd jfreechart/lib
ln -sf $(build-classpath jfreechart) jfreechart.jar
ln -sf $(build-classpath jcommon) jcommon.jar
popd
pushd javagroups-javagroups/lib
ln -sf $(build-classpath jgroups) jgroups.jar
popd
pushd sun-jmf/lib
ln -sf $(build-classpath jmf/jmf) jmf.jar
popd
pushd opennms/joesnmp/lib
ln -sf $(build-classpath joesnmp) joesnmp.jar
popd
pushd juddi-juddi/lib
ln -sf $(build-classpath juddi) juddi.jar
popd
pushd apache-log4j/lib
ln -sf $(build-classpath snmptrapappender) snmpTrapAppender.jar
popd
pushd sun-servlet/lib
ln -sf $(build-classpath tomcat55-jsp-2.0-api) jsp-api.jar
ln -sf $(build-classpath tomcat55-servlet-2.4-api) servlet-api.jar
popd
pushd apache-velocity/lib
ln -sf $(build-classpath velocity) velocity.jar
popd
pushd apache-scout/lib
ln -sf $(build-classpath ws-scout/scout) scout.jar
ln -sf $(build-classpath ws-scout/jaxr-api) jaxr-api.jar
popd
pushd gjt-jpl-util/lib
ln -sf $(build-classpath gjt-jpl-util) jpl-util.jar
ln -sf $(build-classpath gjt-jpl-pattern) jpl-pattern.jar
popd
%endif

pushd apache-bcel/lib
ln -sf $(build-classpath bcel) bcel.jar
popd
pushd apache-jaxme/lib
ln -sf $(build-classpath jaxme/ws-jaxmexs) jaxmexs.jar
popd
pushd apache-slide/client/lib
ln -sf $(build-classpath slide/slide-webdavclient-webdavlib) webdavlib.jar
popd
pushd sun-jmx/lib
ln -sf $(build-classpath jmxri) jmxri.jar
ln -sf $(build-classpath jmxtools) jmxtools.jar
#ln -sf $(build-classpath jmxgrinder) jmxgrinder.jar
popd
pushd wutka-dtdparser/lib
ln -sf $(build-classpath dtdparser) dtdparser121.jar
popd
pushd gnu-regexp/lib
ln -sf $(build-classpath gnu.regexp) gnu-regexp.jar
popd
pushd junit-junit/lib
ln -sf $(build-classpath junit) junit.jar
popd
pushd apache-commons/lib
ln -sf $(build-classpath commons-collections) commons-collections.jar
ln -sf $(build-classpath commons-httpclient) commons-httpclient.jar
ln -sf $(build-classpath commons-logging) commons-logging.jar
popd
pushd apache-log4j/lib
ln -sf $(build-classpath log4j) log4j.jar
popd
pushd xdoclet-xdoclet/lib
ln -sf $(build-classpath xjavadoc) xdoclet-xjavadoc-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-xdoclet-module) xdoclet-xdoclet-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-java-module) xdoclet-java-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-jmx-module) xdoclet-jmx-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet) xdoclet-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-jdo-module) xdoclet-jdo-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-bea-module) xdoclet-bea-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-jboss-module) xdoclet-jboss-module-jb4.jar
ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath xdoclet/xdoclet-ejb-module) xdoclet-ejb-module-jb4.jar
ln -sf $(build-classpath xdoclet/xdoclet-web-module) xdoclet-web-module-jb4.jar
popd
pushd dom4j-dom4j/lib
ln -sf $(build-classpath dom4j) dom4j.jar
ln -sf $(build-classpath jaxen) jaxen-1.1-beta-4.jar
popd
pushd oswego-concurrent/lib
ln -sf $(build-classpath concurrent) concurrent.jar
popd
pushd gnu-getopt/lib
ln -sf $(build-classpath gnu.getopt) getopt.jar
popd

%if %{with_hibernate}
pushd hibernate/lib
ln -sf $(build-classpath antlr) antlr-2.7.5H3.jar
ln -sf $(build-classpath asm/asm-attrs) asm-attrs.jar
ln -sf $(build-classpath asm/asm) asm.jar
ln -sf $(build-classpath hibernate3) hibernate3.jar

#ln -sf $(build-classpath hibernate-metadata) hibernate-metadata.jar
popd
%endif

popd

pushd docbook-support/support/lib
ln -sf $(build-classpath fop) fop.jar
build-jar-repository -s -p . batik
build-jar-repository -s -p . jai/jai_codec jai/jai_core
ln -sf $(build-classpath avalon-framework) avalon-framework-cvs-20020806.jar
ln -sf $(build-classpath saxon) saxon.jar
#ln -sf $(build-classpath saxon-dbxsl-extensions) saxon-dbxsl-extensions.jar
#ln -sf $(build-classpath rowan) rowan-0.1.jar
popd



mv testsuite/src/resources/jmx/mbeanlocaldir/local-directory/sub-directory/examplejar.jar.no testsuite/src/resources/jmx/mbeanlocaldir/local-directory/sub-directory/examplejar.jar
mv testsuite/src/resources/classloader/scoping/override/log4j113/log4j-core.jar.no testsuite/src/resources/classloader/scoping/override/log4j113/log4j-core.jar
mv testsuite/src/resources/classloader/scoping/override/xml/xerces.jar.no testsuite/src/resources/classloader/scoping/override/xml/xerces.jar

pushd tools/lib
ln -sf $(build-classpath ant/ant-trax) ant-trax.jar
ln -sf $(build-classpath ant/ant-javamail) ant-javamail.jar
#BUILD/jboss-4.0.1-src/tools/lib/pretty.jar.no
ln -sf $(build-classpath xml-commons-resolver) resolver.jar
ln -sf $(build-classpath bsf) bsf.jar
ln -sf $(build-classpath ant/ant-junit) ant-junit.jar
ln -sf $(build-classpath jboss4/jboss4-buildmagic-tasks) buildmagic-tasks.jar
ln -sf $(build-classpath ant) ant.jar
#ln -sf $(build-classpath ant/ant-xslp) ant-xslp.jar
ln -sf $(build-classpath junit) junit.jar
ln -sf $(build-classpath xerces-j2) xercesImpl.jar
ln -sf $(build-classpath xalan-j2) xalan.jar
#ln -sf $(build-classpath ant/ant-xalan2) ant-xalan2.jar
ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
ln -sf $(build-classpath ant-launcher) ant-launcher.jar
ln -sf $(build-classpath ant/ant-nodeps) ant-nodeps.jar
popd

mv console/src/resources/webconsole.war/images/otherimages.jar.no console/src/resources/webconsole.war/images/otherimages.jar
mkdir -p server/output/docs/
cp -pr server/src/docs/* server/output/docs/
mkdir -p messaging/output/docs/



# -----------------------------------------------------------------------------

%build

BUILD_ID=`date -u +%Y%m%d%H%M`_%{version}-%{release}

export JAVA_HOME="%java_home"
export PATH="$JAVA_HOME/bin:$PATH"
export OPT_JAR_LIST="ant/ant-nodeps ant/ant-junit junit ant/ant-trax"
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl \
ant/ant-nodeps \
)

ANT_GRL_OPTS="-Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl"
ANT_GRL_OPTS="$ANT_GRL_OPTS -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl"
ANT_GRL_OPTS="$ANT_GRL_OPTS -Djava.protocol.handler.pkgs=org.jboss.net.protocol"
ANT_GRL_OPTS="$ANT_GRL_OPTS "-Dbuild.id=$BUILD_ID

pushd build
install -m 644 etc/local.properties-production local.properties
echo "build.compiler=modern"   >> local.properties
# The following applies to at least Java 1.3.x versions:
echo "build.sysclasspath=last" >> local.properties
echo "build.docs=build-docs" >> local.properties
export ANT_OPTS="-Xmx256m $ANT_GRL_OPTS"
%if %{without_coreonly}
  %if %{with_modulesonly}
    %if %{without_hibernate}
      ant -Dgroups=core,basic,standard modules-all
    %else
      ant -Dgroups=core,basic,standard,postpone modules-all
    %endif
  %else
    %if %{without_hibernate}
      ant -Dgroups=core,basic,standard modules-all install
    %else
      ant -Dgroups=core,basic,standard,postpone modules-all install
    %endif
  %endif
%else
  ant -Dgroups=core modules-most
%endif
popd
%if %{without_coreonly}
pushd jms
export ANT_OPTS="-Xmx128m $ANT_GRL_OPTS"
ant
popd
pushd jmx-remoting
export ANT_OPTS="-Xmx128m $ANT_GRL_OPTS"
ant
popd
%endif
%if %{without_modulesonly}
pushd docbook-support/docs/guide
export ANT_OPTS="-Xmx128m $ANT_GRL_OPTS"
ant
popd
%endif
#pushd testsuite
#export ANT_OPTS="-Xmx128m $ANT_GRL_OPTS"
#ant tests
#popd

%if %{without_modulesonly}
# Copy DTD catalog into place
install -m 644 %{SOURCE4} build/output/jboss-%{version}/docs/dtd/catalog
%endif


# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

%if %{without_coreonly}
# install cache
install -m 644 cache/output/lib/jboss-cache.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-cache-%{version}.jar

# install cluster
install -m 644 cluster/output/lib/jbossha.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossha-%{version}.jar
install -m 644 cluster/output/lib/jbossha-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossha-client-%{version}.jar
%endif

# install common
install -m 644 common/output/lib/jboss-common.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-common-%{version}.jar
install -m 644 common/output/lib/jboss-common-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-common-client-%{version}.jar
install -m 644 common/output/lib/namespace.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/namespace-%{version}.jar
install -m 644 common/output/lib/testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common-testsuite-support-%{version}.jar

%if %{without_coreonly}
# install connector
install -m 644 connector/output/lib/jboss-common-jdbc-wrapper.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-common-jdbc-wrapper-%{version}.jar
install -m 644 connector/output/lib/jbosscx-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbosscx-client-%{version}.jar
install -m 644 connector/output/lib/jboss-jca.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jca-%{version}.jar
install -m 644 connector/output/lib/jboss-local-jdbc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-local-jdbc-%{version}.jar
install -m 644 connector/output/lib/jboss-xa-jdbc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-xa-jdbc-%{version}.jar
install -m 644 connector/output/lib/jms-ra.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jms-ra-%{version}.jar
install -m 644 connector/output/lib/mail-ra.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mail-ra-%{version}.jar

# install console
install -m 644 console/output/lib/applet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/applet-%{version}.jar
install -m 644 console/output/lib/console.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/console-%{version}.jar
install -m 644 console/output/lib/console-mgr-classes.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/console-mgr-classes-%{version}.jar
install -m 644 console/output/lib/jboss-console-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-console-client-%{version}.jar
install -m 644 console/output/lib/jboss-console.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-console-%{version}.jar
install -m 644 console/output/lib/snmp-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/snmp-support-%{version}.jar
install -m 644 console/output/lib/twiddle.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/twiddle-%{version}.jar

# install deployment
install -m 644 deployment/output/lib/jboss-deployment.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-deployment-%{version}.jar

%if %{with_hibernate}
# install hibernate
install -m 644 hibernate/output/lib/jboss-hibernate.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-hibernate-%{version}.jar
%endif

# install iiop
install -m 644 iiop/output/lib/jboss-iiop.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-iiop-%{version}.jar
install -m 644 iiop/output/lib/jboss-iiop-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-iiop-client-%{version}.jar

# install j2ee
install -m 644 j2ee/output/lib/jboss-j2ee.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-j2ee-%{version}.jar
install -m 644 j2ee/output/lib/jboss-jaxrpc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jaxrpc-%{version}.jar
install -m 644 j2ee/output/lib/jboss-saaj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-saaj-%{version}.jar

# install jaxrpc
install -m 644 jaxrpc/output/lib/axis-ws4ee.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/axis-ws4ee-%{version}.jar

# install jboss.net
install -m 644 jboss.net/output/lib/jboss-net-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-net-client-%{version}.jar
install -m 644 jboss.net/output/lib/jboss-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-net-%{version}.jar
install -m 644 jboss.net/output/lib/jboss-net-taglib.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-net-taglib-%{version}.jar
install -m 644 jboss.net/output/lib/xdoclet-module-jboss-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xdoclet-module-jboss-net-%{version}.jar

# install jms
install -m 644 jms/output/lib/jboss-JMS.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-JMS-%{version}.jar
%endif

# install jmx
install -m 644 jmx/output/lib/jboss-jmx-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-core-%{version}.jar
install -m 644 jmx/output/lib/jboss-jmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-%{version}.jar
install -m 644 jmx/output/lib/jboss-jmx-services.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-services-%{version}.jar
install -m 644 jmx/output/lib/jboss-jmx-testsuite.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-testsuite-%{version}.jar

%if %{without_coreonly}
# install jmx-remoting
install -m 644 jmx-remoting/output/lib/jboss-jmx-remoting.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-remoting-%{version}.jar
install -m 644 jmx-remoting/output/lib/jboss-jmx-remoting-testsuite.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jmx-remoting-testsuite-%{version}.jar

# install management
install -m 644 management/output/lib/ejb-management.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ejb-management-%{version}.jar
install -m 644 management/output/lib/jboss-jsr77-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jsr77-client-%{version}.jar
install -m 644 management/output/lib/jboss-jsr77.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jsr77-%{version}.jar
install -m 644 management/output/lib/jboss-management.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-management-%{version}.jar

# install media
install -m 644 media/output/lib/jboss-jsr86.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-jsr86-%{version}.jar
install -m 644 media/output/lib/jboss-media-entity-ejb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-media-entity-ejb-%{version}.jar
install -m 644 media/output/lib/jboss-media.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-media-%{version}.jar

# install messaging
install -m 644 messaging/output/lib/jbossmq-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossmq-client-%{version}.jar
install -m 644 messaging/output/lib/jbossmq.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossmq-%{version}.jar
%endif

# install naming
install -m 644 naming/output/lib/jnp-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jnp-client-%{version}.jar
install -m 644 naming/output/lib/jnpserver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jnpserver-%{version}.jar
install -m 644 naming/output/lib/jnp-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jnp-tests-%{version}.jar

%if %{without_coreonly}
# install remoting
install -m 644 remoting/output/lib/jboss-remoting.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-remoting-%{version}.jar

# install security
install -m 644 security/output/lib/jbosssx-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbosssx-client-%{version}.jar
install -m 644 security/output/lib/jbosssx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbosssx-%{version}.jar

# install server
install -m 644 server/output/lib/jboss-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-client-%{version}.jar
install -m 644 server/output/lib/jboss.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-%{version}.jar
install -m 644 server/output/lib/jboss-minimal.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-minimal-%{version}.jar
install -m 644 server/output/lib/jboss-security.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-security-%{version}.jar
install -m 644 server/output/lib/jmx-adaptor-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-adaptor-plugin-%{version}.jar
install -m 644 server/output/lib/jmx-invoker-adaptor-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-invoker-adaptor-client-%{version}.jar
install -m 644 server/output/lib/shutdown.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/shutdown-%{version}.jar
install -m 644 server/output/lib/verifier.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/verifier-%{version}.jar
install -m 644 server/output/lib/testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-testsuite-support-%{version}.jar
%endif

# install system
install -m 644 system/output/lib/jboss-boot.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-boot-%{version}.jar
install -m 644 system/output/lib/jboss-system-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-system-client-%{version}.jar
install -m 644 system/output/lib/jboss-system.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-system-%{version}.jar
install -m 644 system/output/lib/log4j-boot.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/log4j-boot-%{version}.jar
install -m 644 system/output/lib/run.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/run-%{version}.jar
install -m 644 system/output/lib/testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-testsuite-support-%{version}.jar

%if %{without_coreonly}
# install transaction
install -m 644 transaction/output/lib/jboss-transaction-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-transaction-client-%{version}.jar
install -m 644 transaction/output/lib/jboss-transaction.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-transaction-%{version}.jar
install -m 644 transaction/output/lib/testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/transaction-testsuite-support-%{version}.jar

# install varia
install -m 644 varia/output/lib/autonumber-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/autonumber-plugin-%{version}.jar
install -m 644 varia/output/lib/bindingservice-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/bindingservice-plugin-%{version}.jar
install -m 644 varia/output/lib/bsh-deployer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/bsh-deployer-%{version}.jar
install -m 644 varia/output/lib/counter-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/counter-plugin-%{version}.jar
install -m 644 varia/output/lib/deployment-service.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/deployment-service-%{version}.jar
install -m 644 varia/output/lib/derby-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/derby-plugin-%{version}.jar
install -m 644 varia/output/lib/hsqldb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldb-%{version}.jar
install -m 644 varia/output/lib/hsqldb-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldb-plugin-%{version}.jar
install -m 644 varia/output/lib/jbossjmx-ant.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossjmx-ant-%{version}.jar
install -m 644 varia/output/lib/jboss-monitoring.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-monitoring-%{version}.jar
install -m 644 varia/output/lib/mail-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mail-plugin-%{version}.jar
install -m 644 varia/output/lib/process-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/process-plugin-%{version}.jar
install -m 644 varia/output/lib/properties-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/properties-plugin-%{version}.jar
install -m 644 varia/output/lib/scheduler-plugin-example.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/scheduler-plugin-example-%{version}.jar
install -m 644 varia/output/lib/scheduler-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/scheduler-plugin-%{version}.jar
install -m 644 varia/output/lib/snmp-adaptor.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/snmp-adaptor-%{version}.jar
install -m 644 varia/output/lib/statscollector.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/statscollector-%{version}.jar

# install webservice
install -m 644 webservice/output/lib/jboss-ws4ee-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-ws4ee-client-%{version}.jar
install -m 644 webservice/output/lib/jboss-ws4ee.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jboss-ws4ee-%{version}.jar
%endif


# create all versionless symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%if %{without_modulesonly}
%if %{without_coreonly}
# install jboss main package, servers and client
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/bin

cp -a build/output/jboss-%{version}/bin/* \
                  $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/bin/{jboss_init_suse.sh,jboss_init_redhat.sh,*.bat}

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -a build/output/jboss-%{version}/docs/* \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/api
ln -sf %{_javadocdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/api
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/examples/media/
cp media/output/lib/jboss-media-entity-ejb.jar \
                  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/examples/media/

install -d -m 755 $RPM_BUILD_ROOT{%{jbossdir},%{_sysconfdir}/init.d}
# %{_sysconfdir}/logrotate.d}

rm -rf build/output/jboss-%{version}/server/minimal/log/*
rm -rf build/output/jboss-%{version}/server/default/log/*
rm -rf build/output/jboss-%{version}/server/default/tmp/*
rm -rf build/output/jboss-%{version}/server/default/work/*
rm -rf build/output/jboss-%{version}/server/all/log/*
rm -rf build/output/jboss-%{version}/server/all/tmp/*
rm -rf build/output/jboss-%{version}/server/all/work/*
cp -a build/output/jboss-%{version}/{client,lib} $RPM_BUILD_ROOT%{jbossdir}/
install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server
cp -a build/output/jboss-%{version}/server/{all,default,minimal} \
                                        $RPM_BUILD_ROOT%{jbossdir}/server/
mkdir -p $RPM_BUILD_ROOT%{jbossdir}/server/default/data
ln -s %{jbossdir}/client $RPM_BUILD_ROOT%{_datadir}/%{name}/client
ln -s %{jbossdir}/lib $RPM_BUILD_ROOT%{_datadir}/%{name}/lib
ln -s %{jbossdir}/server $RPM_BUILD_ROOT%{_datadir}/%{name}/server
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{jbossdir}/docs
ln -s $RPM_DOC_DIR/%{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

for server in all default minimal; do
  install -d -m 755 $RPM_BUILD_ROOT%{logdir}/jboss4/$server
  install -d -m 755 $RPM_BUILD_ROOT%{tmpdir}/jboss4/$server
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/db
  install -d -m 755 $RPM_BUILD_ROOT%{jbossdir}/server/$server/data
  ln -s %{logdir}/jboss4/$server \
    $RPM_BUILD_ROOT%{jbossdir}/server/$server/log
done

sed -e 's;/var/cache/jboss;%{tmpdir}/jboss4;' < %{SOURCE5} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/all/conf/server.properties
sed -e 's;/var/cache/jboss;%{tmpdir}/jboss4;' < %{SOURCE6} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/default/conf/server.properties
sed -e 's;/var/cache/jboss;%{tmpdir}/jboss4;' < %{SOURCE7} \
  > $RPM_BUILD_ROOT/%{jbossdir}/server/minimal/conf/server.properties

# @@@ TODO: use a find script to generate filelists for files section?

sed -e 's;__VAR__;%{_localstatedir};g' \
  -e 's;__INITDIR__;%{_sysconfdir}/init.d;g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  < %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/init.d/jboss4

# sed -e 's;__JBOSS_HOME__;%{jbossdir};g' \
#   < %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/jboss

sed -e 's;__JBOSS_HOME__;/usr/share/jboss4;g' \
  -e 's;__ETC__;%{_sysconfdir};g' \
  -e 's;__JAVA_FUNCTIONS__;%{_datadir}/java-utils/java-functions;g' \
  < %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/jboss4.conf

pushd $RPM_BUILD_ROOT%{jbossdir}/lib
ln -sf $(build-classpath commons-httpclient) commons-httpclient.jar
ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath concurrent) concurrent.jar
ln -sf $(build-classpath dom4j) dom4j.jar
ln -sf $(build-classpath jaxen) jaxen.jar
pushd endorsed
ln -sf $(build-classpath xml-commons-resolver) resolver.jar
ln -sf $(build-classpath xalan-j2) xalan.jar
ln -sf $(build-classpath xerces-j2) xercesImpl.jar
ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
popd
ln -sf $(build-classpath gnu.getopt) getopt.jar
ln -sf $(build-classpath gnu.regexp) gnu-regexp.jar
ln -sf $(build-classpath slide/slide-webdavclient-webdavlib) webdavlib.jar
### jboss module stuff
ln -sf %{_javadir}/%{name}/jboss-common.jar
ln -sf %{_javadir}/%{name}/jboss-jmx.jar
ln -sf %{_javadir}/%{name}/jboss-system.jar
# Note: not replacing lib/log4j-boot.jar with our (full) one.
ln -sf %{_javadir}/%{name}/log4j-boot.jar
ln -sf %{_javadir}/%{name}/namespace.jar
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/client
ln -sf $(build-classpath jaf) activation.jar
ln -sf $(build-classpath avalon-framework) avalon-framework.jar
ln -sf $(build-classpath commons-discovery) commons-discovery.jar
ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath concurrent) concurrent.jar
ln -sf $(build-classpath gnu.getopt) getopt.jar
ln -sf $(build-classpath jacorb-jboss4/jacorb-jboss4) jacorb.jar
ln -sf $(build-classpath log4j) log4j.jar
ln -sf $(build-classpath avalon-logkit) logkit.jar
ln -sf $(build-classpath javamail) mail.jar
ln -sf $(build-classpath wsdl4j) wsdl4j.jar
ln -sf $(build-classpath ws-scout/scout) scout.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/axis-ws4ee.jar
ln -sf %{_javadir}/%{name}/jboss-client.jar
ln -sf %{_javadir}/%{name}/jboss-common-client.jar
ln -sf %{_javadir}/%{name}/jbosscx-client.jar
ln -sf %{_javadir}/%{name}/jboss-deployment.jar
ln -sf %{_javadir}/%{name}/jbossha-client.jar
ln -sf %{_javadir}/%{name}/jboss-iiop-client.jar
ln -sf %{_javadir}/%{name}/jboss-j2ee.jar
ln -sf %{_javadir}/%{name}/jboss-jaxrpc.jar
ln -sf %{_javadir}/%{name}/jbossjmx-ant.jar
ln -sf %{_javadir}/%{name}/jboss-jsr77-client.jar
ln -sf %{_javadir}/%{name}/jbossmq-client.jar
ln -sf %{_javadir}/%{name}/jboss-saaj.jar
ln -sf %{_javadir}/%{name}/jbosssx-client.jar
ln -sf %{_javadir}/%{name}/jboss-system-client.jar
ln -sf %{_javadir}/%{name}/jboss-transaction-client.jar
ln -sf %{_javadir}/%{name}/jboss-ws4ee-client.jar
ln -sf %{_javadir}/%{name}/jboss-jmx-core.jar jmx-client.jar
ln -sf %{_javadir}/%{name}/jmx-invoker-adaptor-client.jar
ln -sf %{_javadir}/%{name}/jnp-client.jar
ln -sf %{_javadir}/%{name}/namespace.jar
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/lib
ln -sf $(build-classpath jaf) activation.jar
ln -sf $(build-classpath avalon-framework) avalon-framework.jar
ln -sf $(build-classpath bcel) bcel.jar
ln -sf $(build-classpath bsh) bsh-1.3.0.jar
rm bsh-1.3.0.jar.no
ln -sf $(build-classpath hsqldb) hsqldb.jar
ln -sf $(build-classpath jacorb-jboss4/jacorb-jboss4) jacorb.jar
ln -sf $(build-classpath tomcat55-servlet-2.4-api) javax.servlet.jar
ln -sf $(build-classpath tomcat55-jsp-2.0-api) javax.servlet.jsp.jar
ln -sf $(build-classpath jgroups) jgroups.jar
ln -sf $(build-classpath gjt-jpl-pattern) jpl-pattern.jar
ln -sf $(build-classpath gjt-jpl-util) jpl-util.jar
ln -sf $(build-classpath log4j) log4j.jar
ln -sf $(build-classpath javamail) mail.jar
#ln -sf $(build-classpath xml-security) xmlsec.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/autonumber-plugin.jar
ln -sf %{_javadir}/%{name}/bindingservice-plugin.jar
ln -sf %{_javadir}/%{name}/bsh-deployer.jar
ln -sf %{_javadir}/%{name}/hsqldb-plugin.jar
ln -sf %{_javadir}/%{name}/jboss-cache.jar
ln -sf %{_javadir}/%{name}/jboss-common-jdbc-wrapper.jar
ln -sf %{_javadir}/%{name}/jbossha.jar
ln -sf %{_javadir}/%{name}/jboss-iiop.jar
ln -sf %{_javadir}/%{name}/jboss-j2ee.jar
ln -sf %{_javadir}/%{name}/jboss.jar
ln -sf %{_javadir}/%{name}/jboss-jaxrpc.jar
ln -sf %{_javadir}/%{name}/jboss-jca.jar
ln -sf %{_javadir}/%{name}/jboss-jsr77.jar
ln -sf %{_javadir}/%{name}/jboss-management.jar
ln -sf %{_javadir}/%{name}/jboss-monitoring.jar
ln -sf %{_javadir}/%{name}/jbossmq.jar
ln -sf %{_javadir}/%{name}/jboss-remoting.jar
ln -sf %{_javadir}/%{name}/jboss-saaj.jar
ln -sf %{_javadir}/%{name}/jbosssx.jar
ln -sf %{_javadir}/%{name}/jboss-transaction.jar
ln -sf %{_javadir}/%{name}/jmx-adaptor-plugin.jar
ln -sf %{_javadir}/%{name}/jnpserver.jar
ln -sf %{_javadir}/%{name}/mail-plugin.jar
ln -sf %{_javadir}/%{name}/properties-plugin.jar
ln -sf %{_javadir}/%{name}/scheduler-plugin-example.jar
ln -sf %{_javadir}/%{name}/scheduler-plugin.jar
ln -sf %{_javadir}/%{name}/snmp-adaptor.jar
#ln -sf %{_javadir}/%{name}/snmp-support.jar
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/lib
rm bsh-1.3.0.jar.no
ln -sf $(build-classpath jaf) activation.jar
ln -sf $(build-classpath bcel) bcel.jar
ln -sf $(build-classpath bsh) bsh-1.3.0.jar
ln -sf $(build-classpath hsqldb) hsqldb.jar
ln -sf $(build-classpath tomcat55-servlet-2.4-api) javax.servlet.jar
ln -sf $(build-classpath tomcat55-jsp-2.0-api) javax.servlet.jsp.jar
ln -sf $(build-classpath gjt-jpl-pattern) jpl-pattern.jar
ln -sf $(build-classpath gjt-jpl-util) jpl-util.jar
ln -sf $(build-classpath log4j) log4j.jar
ln -sf $(build-classpath javamail) mail.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/autonumber-plugin.jar
ln -sf %{_javadir}/%{name}/bindingservice-plugin.jar
ln -sf %{_javadir}/%{name}/bsh-deployer.jar
ln -sf %{_javadir}/%{name}/hsqldb-plugin.jar
ln -sf %{_javadir}/%{name}/jboss-common-jdbc-wrapper.jar
ln -sf %{_javadir}/%{name}/jboss-j2ee.jar
ln -sf %{_javadir}/%{name}/jboss.jar
ln -sf %{_javadir}/%{name}/jboss-jaxrpc.jar
ln -sf %{_javadir}/%{name}/jboss-jca.jar
ln -sf %{_javadir}/%{name}/jboss-jsr77.jar
ln -sf %{_javadir}/%{name}/jboss-management.jar
ln -sf %{_javadir}/%{name}/jboss-monitoring.jar
ln -sf %{_javadir}/%{name}/jbossmq.jar
ln -sf %{_javadir}/%{name}/jboss-saaj.jar
ln -sf %{_javadir}/%{name}/jbosssx.jar
ln -sf %{_javadir}/%{name}/jboss-transaction.jar
ln -sf %{_javadir}/%{name}/jboss-transaction.jar
ln -sf %{_javadir}/%{name}/jmx-adaptor-plugin.jar
ln -sf %{_javadir}/%{name}/jnpserver.jar
ln -sf %{_javadir}/%{name}/mail-plugin.jar
ln -sf %{_javadir}/%{name}/properties-plugin.jar
ln -sf %{_javadir}/%{name}/scheduler-plugin-example.jar
ln -sf %{_javadir}/%{name}/scheduler-plugin.jar
#ln -sf %{_javadir}/%{name}/snmp-adaptor.jar
ln -sf %{_javadir}/%{name}/snmp-support.jar
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/minimal/lib
ln -sf %{_javadir}/%{name}/jboss-management.jar
ln -sf %{_javadir}/%{name}/jboss-minimal.jar
ln -sf %{_javadir}/%{name}/jnpserver.jar
ln -sf $(build-classpath log4j) log4j.jar
popd


pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/jboss-aop.deployer
ln -sf $(build-classpath javassist) javassist.jar
ln -sf $(build-classpath gnu.trove) trove.jar
ln -sf $(build-classpath jboss-aop/jboss-aop) jboss-aop.jar
ln -sf $(build-classpath jboss-aop/jboss-aspect-library) jboss-aspect-library.jar
popd

%if %{with_hibernate}
pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/jboss-hibernate.deployer
ln -sf $(build-classpath asm/asm) asm.jar
ln -sf $(build-classpath asm/asm-attrs) asm-attrs.jar
ln -sf $(build-classpath cglib) cglib-2.1.jar
ln -sf $(build-classpath hibernate) hibernate3.jar
ln -sf $(build-classpath odmg-3.0) odmg-3.0.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/jboss-hibernate.jar
popd
%endif

pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/jbossweb-tomcat55.sar
ln -sf %{tc55dir}/server/lib/catalina.jar .
ln -sf %{tc55dir}/server/webapps/manager/WEB-INF/lib/catalina-manager.jar .
ln -sf %{tc55dir}/server/lib/catalina-optional.jar .
ln -sf $(build-classpath commons-beanutils) commons-beanutils.jar
ln -sf $(build-classpath commons-collections) commons-collections.jar
ln -sf $(build-classpath commons-digester) commons-digester.jar
ln -sf $(build-classpath commons-el) commons-el.jar
ln -sf $(build-classpath commons-modeler) commons-modeler.jar
ln -sf $(build-classpath jasper55-compiler) jasper-compiler.jar
ln -sf $(build-classpath jasper55-compiler-jdt) jasper-compiler-jdt.jar
ln -sf $(build-classpath jasper55-runtime) jasper-runtime.jar
ln -sf %{tc55dir}/common/lib/naming-resources.jar .
ln -sf %{tc55dir}/server/lib/servlets-default.jar .
ln -sf %{tc55dir}/server/lib/servlets-invoker.jar .
ln -sf %{tc55dir}/server/lib/servlets-webdav.jar .
ln -sf %{tc55dir}/server/lib/tomcat-ajp.jar .
ln -sf %{tc55dir}/server/lib/tomcat-coyote.jar .
ln -sf %{tc55dir}/server/lib/tomcat-http.jar .
ln -sf %{tc55dir}/server/lib/tomcat-util.jar .
# workaround for xml status, may be temporary
pushd ROOT.war
mkdir manager
cp xform.xsl manager
popd
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/jboss-ws4ee.sar
ln -sf $(build-classpath commons-discovery) commons-discovery.jar
#ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath wsdl4j) wsdl4j.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/jboss-ws4ee.jar
ln -sf %{_javadir}/%{name}/axis-ws4ee.jar
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/management/console-mgr.sar
ln -sf $(build-classpath jcommon) jcommon.jar
ln -sf $(build-classpath jfreechart) jfreechart.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/console-mgr-classes.jar
popd

#pushd $RPM_BUILD_ROOT%{jbossdir}/server/all/deploy/management/web-console.war
#ln -sf %{_javadir}/%{name}/applet.jar
#popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/jboss-aop.deployer
ln -sf $(build-classpath gnu.trove) trove.jar
ln -sf $(build-classpath javassist)
ln -sf $(build-classpath jboss-aop/jboss-aop) jboss-aop.jar
ln -sf $(build-classpath jboss-aop/jboss-aspect-library) jboss-aspect-library.jar
popd

%if %{with_hibernate}
pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/jboss-hibernate.deployer
ln -sf $(build-classpath asm/asm) asm.jar
ln -sf $(build-classpath asm/asm-attrs) asm-attrs.jar
ln -sf $(build-classpath cglib) cglib-2.1.jar
ln -sf $(build-classpath hibernate3) hibernate3.jar
ln -sf $(build-classpath odmg-3.0) odmg-3.0.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/jboss-hibernate.jar
popd
%endif

pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/jbossweb-tomcat55.sar
ln -sf %{tc55dir}/server/lib/catalina.jar .
ln -sf %{tc55dir}/server/webapps/manager/WEB-INF/lib/catalina-manager.jar .
ln -sf %{tc55dir}/server/lib/catalina-optional.jar .
ln -sf $(build-classpath commons-beanutils) commons-beanutils.jar
ln -sf $(build-classpath commons-collections) commons-collections.jar
ln -sf $(build-classpath commons-digester) commons-digester.jar
ln -sf $(build-classpath commons-el) commons-el.jar
ln -sf $(build-classpath commons-modeler) commons-modeler.jar
ln -sf $(build-classpath jasper55-compiler) jasper-compiler.jar
ln -sf $(build-classpath jasper55-compiler-jdt) jasper-compiler-jdt.jar
ln -sf $(build-classpath jasper55-runtime) jasper-runtime.jar
ln -sf %{tc55dir}/common/lib/naming-resources.jar .
ln -sf %{tc55dir}/server/lib/servlets-default.jar .
ln -sf %{tc55dir}/server/lib/servlets-invoker.jar .
ln -sf %{tc55dir}/server/lib/servlets-webdav.jar .
ln -sf %{tc55dir}/server/lib/tomcat-ajp.jar .
ln -sf %{tc55dir}/server/lib/tomcat-coyote.jar .
ln -sf %{tc55dir}/server/lib/tomcat-http.jar .
ln -sf %{tc55dir}/server/lib/tomcat-util.jar .
# workaround for xml status, may be temporary
pushd ROOT.war
mkdir manager
cp xform.xsl manager
popd
popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/jboss-ws4ee.sar
ln -sf $(build-classpath commons-discovery) commons-discovery.jar
#ln -sf $(build-classpath commons-logging) commons-logging.jar
ln -sf $(build-classpath wsdl4j) wsdl4j.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/jboss-ws4ee.jar
ln -sf %{_javadir}/%{name}/axis-ws4ee.jar
popd

#pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/management/web-console.war
#ln -sf %{_javadir}/%{name}/applet.jar
#popd

pushd $RPM_BUILD_ROOT%{jbossdir}/server/default/deploy/management/console-mgr.sar
ln -sf $(build-classpath jcommon) jcommon.jar
ln -sf $(build-classpath jfreechart) jfreechart.jar
# jboss module stuff
ln -sf %{_javadir}/%{name}/console-mgr-classes.jar
popd

%endif
%endif

# ---------------------------------------------------------------------------
%if %{without_coreonly}
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/output/jboss-%{version}/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# ---------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# ---------------------------------------------------------------------------

%if %{without_modulesonly}
%pre
JBOSS_SHELL=/bin/false
#[ -x /sbin/nologin ] && JBOSS_SHELL=/sbin/nologin
groupadd -r %{name} 2>/dev/null || :
TOMCAT_GROUP=$(stat -c '%G' /etc/tomcat55/tomcat-users.xml)
useradd -c JBoss -r -s $JBOSS_SHELL -d /usr/share/%{name} -g %{name} -G $TOMCAT_GROUP %{name} 2>/dev/null || :

%preun
if [ "$1" = 0 ]; then
  # on erase
  %{_sysconfdir}/init.d/%{name} stop > /dev/null 2>&1 || :
  [ -x /sbin/chkconfig ] && chkconfig --del %{name}
fi

%if %{without_coreonly}
%if %{without_modulesonly}
%post
[ -x /sbin/chkconfig ] && chkconfig --add %{name} || :
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --add \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/%{name}/docs/dtd/catalog > /dev/null || :
fi

%post -n jboss4-all
# We need this because the server/log dirs are ghosts (which in turn
# we need for smooth upgrade experience from previous versions).
if [ ! -e %{jbossdir}/server/all/log ]; then
    ln -sf %{logdir}/%{name}/all %{jbossdir}/server/all/log
fi

%post -n jboss4-default
# We need this because the server/log dirs are ghosts (which in turn
# we need for smooth upgrade experience from previous versions).
if [ ! -e %{jbossdir}/server/default/log ]; then
    ln -sf %{logdir}/%{name}/default %{jbossdir}/server/default/log
fi

%post -n jboss4-minimal
# We need this because the server/log dirs are ghosts (which in turn
# we need for smooth upgrade experience from previous versions).
if [ ! -e %{jbossdir}/server/minimal/log ]; then
    ln -sf %{logdir}/%{name}/minimal %{jbossdir}/server/minimal/log
fi
%endif
%endif

%postun
if [ "$1" -ge 1 ]; then
  # on upgrade
  %{_sysconfdir}/init.d/%{name} condrestart >/dev/null 2>&1
fi
if [ "$1" = 0 ]; then
  # on erase
  userdel %{name} > /dev/null 2>&1 || :
  groupdel %{name} > /dev/null 2>&1 || :
fi
# Note that we're using versioned catalog, so this is always ok.
if [ -x %{_bindir}/install-catalog -a -d %{_sysconfdir}/sgml ]; then
  %{_bindir}/install-catalog --remove \
    %{_sysconfdir}/sgml/%{name}-%{version}-%{release}.cat \
    %{_datadir}/%{name}/docs/dtd/catalog > /dev/null || :
fi
%endif

%if %{without_coreonly}
%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi
%endif

# ---------------------------------------------------------------------------


%if %{without_coreonly}
%if %{without_modulesonly}
%files
%defattr(0644,root,root,0755)
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/init.d/%{name}
%attr(-,%{name},%{name}) %dir %{_localstatedir}/cache/%{name}
%dir %{_localstatedir}/log/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%dir %{_datadir}/%{name}/bin
%{_datadir}/%{name}/bin/*.conf
%{_datadir}/%{name}/bin/*.jar
%{_datadir}/%{name}/client
%dir %{_localstatedir}/lib/%{name}/client
%{_localstatedir}/lib/%{name}/client/jbossall-client.jar
%attr(0755,root,root) %{_datadir}/%{name}/bin/*.sh
%{_datadir}/%{name}/lib
%{_localstatedir}/lib/%{name}/lib
%{_datadir}/%{name}/server
%dir %{_localstatedir}/lib/%{name}/server
%{_datadir}/%{name}/docs
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/api
%{_docdir}/%{name}-%{version}/dtd
%{_docdir}/%{name}-%{version}/schema
%{_docdir}/%{name}-%{version}/LICENSE.txt



%files -n jboss4-client
%defattr(0644,root,root,0755)
%{_localstatedir}/lib/%{name}/client/activation.jar
%{_localstatedir}/lib/%{name}/client/avalon-framework.jar
%{_localstatedir}/lib/%{name}/client/axis-ws4ee.jar
%{_localstatedir}/lib/%{name}/client/commons-discovery.jar
%{_localstatedir}/lib/%{name}/client/commons-logging.jar
%{_localstatedir}/lib/%{name}/client/concurrent.jar
%{_localstatedir}/lib/%{name}/client/getopt.jar
%{_localstatedir}/lib/%{name}/client/jacorb.jar
%{_localstatedir}/lib/%{name}/client/log4j.jar
%{_localstatedir}/lib/%{name}/client/logkit.jar
%{_localstatedir}/lib/%{name}/client/mail.jar
%{_localstatedir}/lib/%{name}/client/namespace.jar
%{_localstatedir}/lib/%{name}/client/wsdl4j.jar
#
%{_localstatedir}/lib/%{name}/client/jboss-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-common-client.jar
%{_localstatedir}/lib/%{name}/client/jbosscx-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-deployment.jar
%{_localstatedir}/lib/%{name}/client/jbossha-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-iiop-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-j2ee.jar
%{_localstatedir}/lib/%{name}/client/jboss-jaxrpc.jar
%{_localstatedir}/lib/%{name}/client/jbossjmx-ant.jar
%{_localstatedir}/lib/%{name}/client/jboss-jsr77-client.jar
%{_localstatedir}/lib/%{name}/client/jbossmq-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-saaj.jar
%{_localstatedir}/lib/%{name}/client/jbosssx-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-system-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-transaction-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-ws4ee-client.jar
%{_localstatedir}/lib/%{name}/client/jmx-client.jar
%{_localstatedir}/lib/%{name}/client/jmx-invoker-adaptor-client.jar
%{_localstatedir}/lib/%{name}/client/jnp-client.jar
%{_localstatedir}/lib/%{name}/client/jboss-juddiaxis.jar
%{_localstatedir}/lib/%{name}/client/scout.jar
%config(noreplace) %{_localstatedir}/lib/%{name}/client/*.conf

%files -n jboss4-all
%defattr(0644,root,root,0755)
%attr(-,%{name},%{name}) %{_localstatedir}/cache/%{name}/all
%attr(-,%{name},%{name}) %{_localstatedir}/log/%{name}/all
%attr(-,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}/server/all
%config(noreplace) %{_localstatedir}/lib/%{name}/server/all/conf
# Need write access to this.  Listed twice (see above) but we don't care :)
%attr(-,%{name},%{name}) %{_localstatedir}/lib/%{name}/server/all/data
%dir %{_localstatedir}/lib/%{name}/server/all/deploy-hasingleton
%dir %{_localstatedir}/lib/%{name}/server/all/deploy-hasingleton/jms
%config(noreplace) %{_localstatedir}/lib/%{name}/server/all/deploy-hasingleton/jms/*.xml
%{_localstatedir}/lib/%{name}/server/all/deploy-hasingleton/jms/jbossmq-httpil.sar
%dir %{_localstatedir}/lib/%{name}/server/all/deploy
%config(noreplace) %{_localstatedir}/lib/%{name}/server/all/deploy/*.xml
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/all/db
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/all/log
%{_localstatedir}/lib/%{name}/server/all/deploy/deploy.last
%{_localstatedir}/lib/%{name}/server/all/deploy/*.rar
%{_localstatedir}/lib/%{name}/server/all/deploy/uuid-key-generator.sar
%{_localstatedir}/lib/%{name}/server/all/deploy/jms
%{_localstatedir}/lib/%{name}/server/all/deploy/httpha-invoker.sar
%{_localstatedir}/lib/%{name}/server/all/deploy/jboss-aop.deployer
#%{_localstatedir}/lib/%{name}/server/all/deploy/jbossha-httpsession.sar
%if %{with_hibernate}
%{_localstatedir}/lib/%{name}/server/all/deploy/jboss-hibernate.deployer
%endif
%{_localstatedir}/lib/%{name}/server/all/deploy/jbossweb-tomcat55.sar
%{_localstatedir}/lib/%{name}/server/all/deploy/jboss-ws4ee.sar
%{_localstatedir}/lib/%{name}/server/all/deploy/snmp-adaptor.sar
%{_localstatedir}/lib/%{name}/server/all/deploy/jmx-console.war
%{_localstatedir}/lib/%{name}/server/all/deploy/management
%{_localstatedir}/lib/%{name}/server/all/deploy/juddi-service.sar
%{_localstatedir}/lib/%{name}/server/all/farm
%{_localstatedir}/lib/%{name}/server/all/lib

%files -n jboss4-default
%defattr(0644,root,root,0755)
%attr(-,%{name},%{name}) %{_localstatedir}/cache/%{name}/default
%attr(-,%{name},%{name}) %{_localstatedir}/log/%{name}/default
%attr(-,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}/server/default
%config(noreplace) %{_localstatedir}/lib/%{name}/server/default/conf
%attr(-,%{name},%{name}) %{_localstatedir}/lib/%{name}/server/default/data
%dir %{_localstatedir}/lib/%{name}/server/default/deploy
%config(noreplace) %{_localstatedir}/lib/%{name}/server/default/deploy/*.xml
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/default/db
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/default/log
%{_localstatedir}/lib/%{name}/server/default/deploy/*.rar
%{_localstatedir}/lib/%{name}/server/default/deploy/uuid-key-generator.sar
%{_localstatedir}/lib/%{name}/server/default/deploy/http-invoker.sar
%{_localstatedir}/lib/%{name}/server/default/deploy/jms
%{_localstatedir}/lib/%{name}/server/default/deploy/jboss-aop.deployer
%if %{with_hibernate}
%{_localstatedir}/lib/%{name}/server/default/deploy/jboss-hibernate.deployer
%endif
%{_localstatedir}/lib/%{name}/server/default/deploy/jbossweb-tomcat55.sar
%{_localstatedir}/lib/%{name}/server/default/deploy/jboss-ws4ee.sar
%{_localstatedir}/lib/%{name}/server/default/deploy/jmx-console.war
%{_localstatedir}/lib/%{name}/server/default/deploy/management
%{_localstatedir}/lib/%{name}/server/default/lib

%files -n jboss4-minimal
%defattr(0644,root,root,0755)
%attr(-,%{name},%{name}) %{_localstatedir}/cache/%{name}/minimal
%attr(-,%{name},%{name}) %{_localstatedir}/log/%{name}/minimal
%attr(-,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}/server/minimal
%config(noreplace) %{_localstatedir}/lib/%{name}/server/minimal/conf
%dir %{_localstatedir}/lib/%{name}/server/minimal/deploy
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/minimal/db
%attr(-,%{name},%{name}) %ghost %{_localstatedir}/lib/%{name}/server/minimal/log
%{_localstatedir}/lib/%{name}/server/minimal/lib

%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%if %{without_modulesonly}
%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/examples
%{_docdir}/%{name}-%{version}/images
%{_docdir}/%{name}-%{version}/todo
%{_docdir}/%{name}-%{version}/styles.css
%{_docdir}/%{name}-%{version}/*.html
%endif

%files -n jboss4-cache
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-cache-%{version}.jar
%{_javadir}/%{name}/jboss-cache.jar

%files -n jboss4-cluster
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jbossha-%{version}.jar
%{_javadir}/%{name}/jbossha.jar
%{_javadir}/%{name}/jbossha-client-%{version}.jar
%{_javadir}/%{name}/jbossha-client.jar
%endif

%files -n jboss4-common
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-common-%{version}.jar
%{_javadir}/%{name}/jboss-common-client-%{version}.jar
%{_javadir}/%{name}/namespace-%{version}.jar
%{_javadir}/%{name}/common-testsuite-support-%{version}.jar
%{_javadir}/%{name}/jboss-common.jar
%{_javadir}/%{name}/jboss-common-client.jar
%{_javadir}/%{name}/namespace.jar
%{_javadir}/%{name}/common-testsuite-support.jar

%if %{without_coreonly}
%files -n jboss4-connector
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-common-jdbc-wrapper-%{version}.jar
%{_javadir}/%{name}/jbosscx-client-%{version}.jar
%{_javadir}/%{name}/jboss-jca-%{version}.jar
%{_javadir}/%{name}/jboss-local-jdbc-%{version}.jar
%{_javadir}/%{name}/jboss-xa-jdbc-%{version}.jar
%{_javadir}/%{name}/jms-ra-%{version}.jar
%{_javadir}/%{name}/mail-ra-%{version}.jar
%{_javadir}/%{name}/jboss-common-jdbc-wrapper.jar
%{_javadir}/%{name}/jbosscx-client.jar
%{_javadir}/%{name}/jboss-jca.jar
%{_javadir}/%{name}/jboss-local-jdbc.jar
%{_javadir}/%{name}/jboss-xa-jdbc.jar
%{_javadir}/%{name}/jms-ra.jar
%{_javadir}/%{name}/mail-ra.jar

%files -n jboss4-console
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/applet-%{version}.jar
%{_javadir}/%{name}/console-%{version}.jar
%{_javadir}/%{name}/console-mgr-classes-%{version}.jar
%{_javadir}/%{name}/jboss-console-client-%{version}.jar
%{_javadir}/%{name}/jboss-console-%{version}.jar
%{_javadir}/%{name}/snmp-support-%{version}.jar
%{_javadir}/%{name}/twiddle-%{version}.jar
%{_javadir}/%{name}/applet.jar
%{_javadir}/%{name}/console.jar
%{_javadir}/%{name}/console-mgr-classes.jar
%{_javadir}/%{name}/jboss-console-client.jar
%{_javadir}/%{name}/jboss-console.jar
%{_javadir}/%{name}/snmp-support.jar
%{_javadir}/%{name}/twiddle.jar


%files -n jboss4-deployment
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-deployment-%{version}.jar
%{_javadir}/%{name}/jboss-deployment.jar

%if %{with_hibernate}
%files -n jboss4-hibernate
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-hibernate-%{version}.jar
%{_javadir}/%{name}/jboss-hibernate.jar
%endif

%files -n jboss4-iiop
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-iiop-%{version}.jar
%{_javadir}/%{name}/jboss-iiop-client-%{version}.jar
%{_javadir}/%{name}/jboss-iiop.jar
%{_javadir}/%{name}/jboss-iiop-client.jar

%files -n jboss4-j2ee
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-j2ee-%{version}.jar
%{_javadir}/%{name}/jboss-jaxrpc-%{version}.jar
%{_javadir}/%{name}/jboss-saaj-%{version}.jar
%{_javadir}/%{name}/jboss-j2ee.jar
%{_javadir}/%{name}/jboss-jaxrpc.jar
%{_javadir}/%{name}/jboss-saaj.jar

%files -n jboss4-jaxrpc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/axis-ws4ee-%{version}.jar
%{_javadir}/%{name}/axis-ws4ee.jar

%files -n jboss4-jboss.net
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-net-client-%{version}.jar
%{_javadir}/%{name}/jboss-net-%{version}.jar
%{_javadir}/%{name}/jboss-net-taglib-%{version}.jar
%{_javadir}/%{name}/xdoclet-module-jboss-net-%{version}.jar
%{_javadir}/%{name}/jboss-net-client.jar
%{_javadir}/%{name}/jboss-net.jar
%{_javadir}/%{name}/jboss-net-taglib.jar
%{_javadir}/%{name}/xdoclet-module-jboss-net.jar

%files -n jboss4-jms
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-JMS-%{version}.jar
%{_javadir}/%{name}/jboss-JMS.jar
%endif

%files -n jboss4-jmx
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-jmx-core-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-services-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-testsuite-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-core.jar
%{_javadir}/%{name}/jboss-jmx.jar
%{_javadir}/%{name}/jboss-jmx-services.jar
%{_javadir}/%{name}/jboss-jmx-testsuite.jar

%if %{without_coreonly}
%files -n jboss4-jmx-remoting
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-jmx-remoting-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-remoting-testsuite-%{version}.jar
%{_javadir}/%{name}/jboss-jmx-remoting.jar
%{_javadir}/%{name}/jboss-jmx-remoting-testsuite.jar

%files -n jboss4-management
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ejb-management-%{version}.jar
%{_javadir}/%{name}/jboss-jsr77-client-%{version}.jar
%{_javadir}/%{name}/jboss-jsr77-%{version}.jar
%{_javadir}/%{name}/jboss-management-%{version}.jar
%{_javadir}/%{name}/ejb-management.jar
%{_javadir}/%{name}/jboss-jsr77-client.jar
%{_javadir}/%{name}/jboss-jsr77.jar
%{_javadir}/%{name}/jboss-management.jar

%files -n jboss4-media
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-jsr86-%{version}.jar
%{_javadir}/%{name}/jboss-media-entity-ejb-%{version}.jar
%{_javadir}/%{name}/jboss-media-%{version}.jar
%{_javadir}/%{name}/jboss-jsr86.jar
%{_javadir}/%{name}/jboss-media-entity-ejb.jar
%{_javadir}/%{name}/jboss-media.jar

%files -n jboss4-messaging
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jbossmq-client-%{version}.jar
%{_javadir}/%{name}/jbossmq-%{version}.jar
%{_javadir}/%{name}/jbossmq-client.jar
%{_javadir}/%{name}/jbossmq.jar
%endif

%files -n jboss4-naming
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jnp-client-%{version}.jar
%{_javadir}/%{name}/jnpserver-%{version}.jar
%{_javadir}/%{name}/jnp-tests-%{version}.jar
%{_javadir}/%{name}/jnp-client.jar
%{_javadir}/%{name}/jnpserver.jar
%{_javadir}/%{name}/jnp-tests.jar

%if %{without_coreonly}
%files -n jboss4-remoting
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-remoting-%{version}.jar
%{_javadir}/%{name}/jboss-remoting.jar

%files -n jboss4-security
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jbosssx-client-%{version}.jar
%{_javadir}/%{name}/jbosssx-%{version}.jar
%{_javadir}/%{name}/jbosssx-client.jar
%{_javadir}/%{name}/jbosssx.jar

%files -n jboss4-server
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-client-%{version}.jar
%{_javadir}/%{name}/jboss-%{version}.jar
%{_javadir}/%{name}/jboss-minimal-%{version}.jar
%{_javadir}/%{name}/jboss-security-%{version}.jar
%{_javadir}/%{name}/jmx-adaptor-plugin-%{version}.jar
%{_javadir}/%{name}/jmx-invoker-adaptor-client-%{version}.jar
%{_javadir}/%{name}/shutdown-%{version}.jar
%{_javadir}/%{name}/verifier-%{version}.jar
%{_javadir}/%{name}/server-testsuite-support-%{version}.jar
%{_javadir}/%{name}/jboss-client.jar
%{_javadir}/%{name}/jboss.jar
%{_javadir}/%{name}/jboss-minimal.jar
%{_javadir}/%{name}/jboss-security.jar
%{_javadir}/%{name}/jmx-adaptor-plugin.jar
%{_javadir}/%{name}/jmx-invoker-adaptor-client.jar
%{_javadir}/%{name}/shutdown.jar
%{_javadir}/%{name}/verifier.jar
%{_javadir}/%{name}/server-testsuite-support.jar
%endif

%files -n jboss4-system
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-boot-%{version}.jar
%{_javadir}/%{name}/jboss-system-client-%{version}.jar
%{_javadir}/%{name}/jboss-system-%{version}.jar
%{_javadir}/%{name}/log4j-boot-%{version}.jar
%{_javadir}/%{name}/run-%{version}.jar
%{_javadir}/%{name}/system-testsuite-support-%{version}.jar
%{_javadir}/%{name}/jboss-boot.jar
%{_javadir}/%{name}/jboss-system-client.jar
%{_javadir}/%{name}/jboss-system.jar
%{_javadir}/%{name}/log4j-boot.jar
%{_javadir}/%{name}/run.jar
%{_javadir}/%{name}/system-testsuite-support.jar

%if %{without_coreonly}
%files -n jboss4-transaction
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-transaction-client-%{version}.jar
%{_javadir}/%{name}/jboss-transaction-%{version}.jar
%{_javadir}/%{name}/transaction-testsuite-support-%{version}.jar
%{_javadir}/%{name}/jboss-transaction-client.jar
%{_javadir}/%{name}/jboss-transaction.jar
%{_javadir}/%{name}/transaction-testsuite-support.jar

%files -n jboss4-varia
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/autonumber-plugin-%{version}.jar
%{_javadir}/%{name}/bindingservice-plugin-%{version}.jar
%{_javadir}/%{name}/bsh-deployer-%{version}.jar
%{_javadir}/%{name}/counter-plugin-%{version}.jar
%{_javadir}/%{name}/deployment-service-%{version}.jar
%{_javadir}/%{name}/derby-plugin-%{version}.jar
%{_javadir}/%{name}/hsqldb-%{version}.jar
%{_javadir}/%{name}/hsqldb-plugin-%{version}.jar
%{_javadir}/%{name}/jbossjmx-ant-%{version}.jar
%{_javadir}/%{name}/jboss-monitoring-%{version}.jar
%{_javadir}/%{name}/mail-plugin-%{version}.jar
%{_javadir}/%{name}/process-plugin-%{version}.jar
%{_javadir}/%{name}/properties-plugin-%{version}.jar
%{_javadir}/%{name}/scheduler-plugin-example-%{version}.jar
%{_javadir}/%{name}/scheduler-plugin-%{version}.jar
%{_javadir}/%{name}/snmp-adaptor-%{version}.jar
%{_javadir}/%{name}/statscollector-%{version}.jar
%{_javadir}/%{name}/autonumber-plugin.jar
%{_javadir}/%{name}/bindingservice-plugin.jar
%{_javadir}/%{name}/bsh-deployer.jar
%{_javadir}/%{name}/counter-plugin.jar
%{_javadir}/%{name}/deployment-service.jar
%{_javadir}/%{name}/derby-plugin.jar
%{_javadir}/%{name}/hsqldb.jar
%{_javadir}/%{name}/hsqldb-plugin.jar
%{_javadir}/%{name}/jbossjmx-ant.jar
%{_javadir}/%{name}/jboss-monitoring.jar
%{_javadir}/%{name}/mail-plugin.jar
%{_javadir}/%{name}/process-plugin.jar
%{_javadir}/%{name}/properties-plugin.jar
%{_javadir}/%{name}/scheduler-plugin-example.jar
%{_javadir}/%{name}/scheduler-plugin.jar
%{_javadir}/%{name}/snmp-adaptor.jar
%{_javadir}/%{name}/statscollector.jar

%files -n jboss4-webservice
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jboss-ws4ee-client-%{version}.jar
%{_javadir}/%{name}/jboss-ws4ee-%{version}.jar
%{_javadir}/%{name}/jboss-ws4ee-client.jar
%{_javadir}/%{name}/jboss-ws4ee.jar
%endif


# -----------------------------------------------------------------------------

%changelog
* Tue Oct 11 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.2-4jpp
- Patch to jaxp13 xerces

* Tue Sep 20 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.2-3jpp
- Patch to jfreechart 0.9.21

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.2-2jpp
- Fix conditionals

* Mon Aug 08 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.2-1jpp
- Upgrade to 4.0.2 
- option '--with coreonly' to prepare for build of jboss-aop
- option '--with modulesonly' to prepare for build of hibernate3
- option '--without hibernate' to prepare for build of hibernate3

* Tue Jul 26 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.1-2jpp
- Fix compatibility symlinks

* Thu Jul 21 2005 Ralph Apel <r.apel at r-apel.de> 0:4.0.1-1jpp
- Update to 4.0.1
- modularize into one resource package, three server-config packages,
  one client package, as well as lots of module packages
- some module packages are believed to be useful for standalone install
- selective installs of modules may be adequate for the client side

* Tue Dec 07 2004 Ralph Apel <r.apel at r-apel.de> 0:3.2.6-1jpp
- Update to 3.2.6
- Use as many as possible jpackage jars

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:3.0.8-2jpp
- use oldjdom

* Wed Jun 18 2003 Ville Skytt\uffff <ville.skytta at iki.fi> - 0:3.0.8-1jpp
- Update to 3.0.8.
- Use bundled javacc, 3.0 doesn't work and 2.x isn't downloadable any more.
- Introduce per-server config in conf/server.properties, use it to relocate
  temp dirs to /var/cache/jboss and make Jetty appreciate symlinks.

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:3.0.7-2jpp
- add epoch
- s|mkdir -p| install -d -m 755|
- s|cp -p| install -m 644|

* Wed Apr  9 2003 Ville Skytt\uffff <ville.skytta at iki.fi> - 0:3.0.7-1jpp
- Update to 3.0.7 and JPackage 1.5.
- Many shutdown and LSB improvements to init script, thanks to Marko Myllynen
  and Richard Bullington-McGuire for contributions.
- Use JPackage javacc for building.
- Include catalog for DTDs, and install it if %%{_bindir}/install-catalog
  is available.

* Wed Jan 29 2003 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.6-1jpp
- Update to 3.0.6.
- Fix buggy shutdown.
- Built with Sun 1.3.1_07 javac.

* Thu Jan 23 2003 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.5-2jpp
- Rebuild due to bsf -> oldbsf rename.
- Disabled logrotate for now as JBoss comes with rotating capabilities of
  its own, see JBOSS_HOME/server/*/conf/log4j.xml.
- jboss.conf comment updates.

* Sun Jan 19 2003 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.5-1jpp
- Build from sources, using selected JPackage RPMs (not all yet).
- Reduce package size by symlinking identical jars.
- Export all necessary vars in init script.
- Init script and config files marking tweaks from Marko Myllynen.
- Built with Sun JDK 1.3.1_06 (no Jikes), doesn't build with IBM's 1.3.1.
- Relocate tmp and log dirs under %%{_var}/cache and %%{_var}/log.
- Make jboss own jbossmq-state.xml (need write access, at least for testsuite).
  *** Upgraders please note ***
    Upgrading from previous JPackage JBoss RPMs will not relocate your
    tmp and log dirs, but it will create new ones under /var.
    In a fresh installation, the server/[yourserver]/log dir is symlinked
    to /var/log/jboss/[yourserver] and server/[yourserver]/tmp to
    /var/cache/jboss/[yourserver]; you may want to do this manually.
    Nothing will be broken if you don't do this, though.

* Thu Nov 14 2002 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.4-3jpp
- Fixed init script shutdown breakage introduced in -2jpp, thanks to
  Mikael Gueck for the fix.  The bug is only in /etc/jboss.conf, so be
  sure to take the new one from this RPM into use.

* Mon Nov 11 2002 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.4-2jpp
- Made HTTP, HTTPS and AJP ports configurable via jboss.conf, no more
  conflicting defaults with tomcat4; thanks again to Marko Myllynen for
  the idea.

* Thu Nov  7 2002 Ville Skytt\uffff <ville.skytta at iki.fi> - 3.0.4-1jpp
- JPackagified version of Marko Myllynen's RPM contribution.  Thanks!
- Updated to 3.0.4.
- Removed fixed jboss uid (94), it would conflict with our tomcat3 user.
- Two small known problems: this uses the same default HTTP port as our
  tomcat4, and throws some exceptions at startup with Java 1.3.1
  (IBM; but starts up with it anyway).

* Tue Oct  1 2002 Marko Myllynen
- updated to version 3.0.3 final
- sleep more when shutting down

* Wed Sep  4 2002 Marko Myllynen
- updated to version 3.0.2 final

* Tue Aug 20 2002 Marko Myllynen
- updated to version 3.0.1 final

* Mon Jun 17 2002 Marko Myllynen
- run as user jboss

* Mon Jun  3 2002 Marko Myllynen
- updated to version 3.0.0 final

* Tue May 21 2002 Marko Myllynen
- updated to jboss version 3.0.0RC3

* Fri May 10 2002 Marko Myllynen
- initial version, jboss version 3.0.0RC2
- portions based on scripts by Jason Corley
